/*
Theme Name: Hello Child
Theme URI: https://ricamistudio.com
Description: Child theme for Hello Elementor
Author: btisystem
Author URI: https://ricamistudio.com
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-child
*/
.alignwide
{
    margin-inline: -5px!important;
}
.woocommerce-error, .woocommerce-info, .woocommerce-message{
	top: 352px;
	width: fit-content;
	position: absolute;
	z-index:1;
	border: none;
    border-radius: 9px;
    margin: 5px;
	gap: 20px;
    display: flex;
}

.woocommerce-erro .wc-forward, .woocommerce-info .wc-forward, .woocommerce-message .wc-forward{
    border-radius: 9px !important;
    background: var(--e-global-color-primary) !important;
    color: white !important;
	height: max-content;
}
.woocommerce-erro .wc-forward:hover, .woocommerce-info .wc-forward:hover, .woocommerce-message .wc-forward:hover{
    background: var(--e-global-color-secondary) !important;
}
.variations a, .woocommerce-page .wp-block-woocommerce-cart a, .woocommerce-page .wp-block-woocommerce-checkout-fields-block a{
 color: var(--e-global-color-primary)!important;
}
.variations a:hover, .woocommerce-page .wp-block-woocommerce-cart a:hover, .woocommerce-page .wp-block-woocommerce-checkout-fields-block a:hover{
 color: var(--e-global-color-secondary)!important;
}
.woocommerce-variation-price{
 margin-bottom:10px;
}
.woocommerce-variation-price span.price{
 color: var(--e-global-color-primary)!important;
}

.woocommerce-page .wc-block-components-sidebar [type=button], 
.woocommerce-page .wc-block-components-sidebar [type=submit], 
.woocommerce-page .wc-block-components-sidebar button{
	border: 1px solid var(--e-global-color-primary)!important;
	color: var(--e-global-color-primary)!important;
}

.woocommerce-page .wc-block-components-sidebar [type=button]:hover, 
.woocommerce-page .wc-block-components-sidebar [type=submit]:hover, 
.woocommerce-page .wc-block-components-sidebar button:hover{
	background-color: var(--e-global-color-primary)!important;
	color: white!important;
}

.woocommerce-page .wp-block-woocommerce-cart .wp-element-button, .woocommerce-page .wp-block-woocommerce-checkout-fields-block .wp-element-button{
	border-radius: 20px;
	background-color: var(--e-global-color-primary)!important;
	border-color: var(--e-global-color-secondary)!important;
	color:white!important;
}
.woocommerce-page .wp-block-woocommerce-cart .wp-element-button:hover, .woocommerce-page .wp-block-woocommerce-checkout-fields-block .wp-element-button:hover{
	border-radius: 20px;
	background-color: var(--e-global-color-secondary)!important;
	border-color: var(--e-global-color-secondary)!important;
	color:white!important;
}
body:not(.woocommerce-block-theme-has-button-styles) .wc-block-components-button:not(.is-link):focus {
    box-shadow: inset 0 0 0 1px #fff, 0 0 0 2px var(--e-global-color-secondary)!important;
}

/* Main Shop page:
   show categories, hide products */
body.ricami-shop-root .ricami-category-grid {
    display: block !important;
}

body.ricami-shop-root .ricami-product-grid {
    display: none !important;
}


/* Parent category:
   show direct subcategories, hide products */
body.ricami-category-has-children .ricami-category-grid {
    display: block !important;
}

body.ricami-category-has-children .ricami-product-grid {
    display: none !important;
}


/* Final category with no children:
   hide categories, show products */
body.ricami-category-is-leaf .ricami-category-grid {
    display: none !important;
}

body.ricami-category-is-leaf .ricami-product-grid {
    display: block !important;
}

.ricami-category-image-link {
    display: block;
    overflow: hidden;
}

.ricami-category-image {
    display: block;
    width: 100%;
    height: auto;
    aspect-ratio: 1 / 1;
    object-fit: contain;
    transition: transform 0.4s ease;
	border-radius: 9px !important;
}

.ricami-category-image-link:hover .ricami-category-image {
    transform: scale(1.05);
}